Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils
Class NestedNullException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.beanutils.BeanAccessLanguageException
                          org.apache.commons.beanutils.NestedNullException

All Implemented Interfaces:
  Serializable

    public class NestedNullException

extends BeanAccessLanguageException

Thrown to indicate that the Bean Access Language cannot execute query against given bean since a nested bean referenced is null.

Since:
  1.7
Author:
  Robert Burrell Donkin
See Also:
  Serialized Form

Constructor Summary
`NestedNullException()` Constructs a `NestedNullException` without a detail message.
`NestedNullException(String message)` Constructs a `NestedNullException` without a detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NestedNullException

    public NestedNullException()

  Constructs a `NestedNullException` without a detail message.

### NestedNullException

    public NestedNullException(String message)

  Constructs a `NestedNullException` without a detail message.

  Parameters:
    `message` - the detail message explaining this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 The Apache Software Foundation. All Rights Reserved.